package com.eversec.kit.creator.impl.page;

import com.eversec.common.Kv;

import java.io.File;
import java.util.List;
import java.util.Map;

/**
 * @author: liangxianyou at 2018/8/20 16:08.
 */
public class DetailCtrlKit extends PageKit {
    @Override
    public File getFile(String clazz) {
        return new File(filePath(clazz) + "/detailCtrl.js");
    }

    @Override
    public String createStr(String clazz, List<Map> fieldList, Map para) {
        Kv kv = createTplData(clazz);
        kv.set("remark", para.get("remark"));
        kv.set("fileDir", getFileDir(clazz));
        kv.set("fieldList", fieldList);

        return engine.getTemplate(tplPath + "front/detailCtrlTpl.js").renderToString(kv);
    }
}
